/*
*  Name:      TTest1.uesql.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Test for UESQL
*  Date:      $Date: 2002/08/26 12:21:08 $
*  Revision:  $Revision: 1.3 $
*
*  Copyright (C) 2002  Rafael Jesus Alcantara Perez <rafa@dedalo-ing.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

import org.uesqlc.TNotFoundException;
import org.uesqlc.TSqlerrorException;
import org.uesqlc.TState;


///  Class for testing UESQL support in JAVA.
class TTest1
{
  
  /**
  *  Entry point.
  *  @param ayARGS Array of string arguments.
  *  @see main().
  */
  public static void main (String ayARGS[])
  {

    int   iExitCode = 0;

    try
    {
      extern "UESQL::default" 
      {
        --
        --  WHENEVER
        --
        whenever sqlerror  throw TSqlerrorException;
--         whenever not found throw TNotFoundException;

        --
        --  CONNECT TO
        --
-- <FIXME comment="need to be parametrized">
        connect to 'dbms/test' user 'test/test';
-- </FIXME>

        --
        --  CREATE TABLE
        --
        create table jobs
        (
          code         character (3) not null ,
          worker_count integer
        );
      }
    }
    catch (final TSqlerrorException ktEXCEPTION)
    {
      System.err.println ("SQLSTATE="    + TState.SQLSTATE);
      System.err.println ("SQLCODE="     + TState.SQLCODE);
      System.err.println ("DESCRIPTION=" + TState.SQLMESSAGE);
      iExitCode = TState.SQLCODE;
    }
//     catch (final TNotFoundException ktEXCEPTION)
//     {
//       System.err.println ("SQLSTATE="    + TState.SQLSTATE);
//       System.err.println ("SQLCODE="     + TState.SQLCODE);
//       System.err.println ("DESCRIPTION=" + TState.SQLMESSAGE);
//       iExitCode = TState.SQLCODE;
//     }
    System.exit (iExitCode);

  }  // main()

}  // class TTest1
